Subject: bug#56682: locked narrowing

From: Gregory Heytings <[email-masked]>
Date: Fri, 02 Dec 2022 09:16:08 +0000

>> Consider this other scenario.  A buffer is buried, and modified in the 
>> background by some process.  That process adds a long line in that 
>> buffer, followed by enough non-long lines, with point after these 
>> non-long lines. Now the user asks for that buffer to be displayed 
>> again.  With your proposed approach, we would search around point if 
>> there are long lines. There aren't, so we do not activate long line 
>> optimizations.  Now the user scrolls the buffer.  The buffer has not 
>> changed in any way, so the detection is not triggered, and we reach the 
>> long line.  Kaboom!
>
> No "Kaboom!": when the user scrolls the buffer, point moves, so we can 
> detect that and trigger rescanning.
>

In which case we are back to the alternative solution, which is to trigger 
rescanning on each redisplay cycle.  Which might, after all, be the 
simplest and safest solution.